10 GOSUB 80         'SUBROUTINE INITIALIZE PROGRAM
20 IF X$ = "I" THEN 40 'CHECK TO SEE IF OPERATOR NEEDS INSTRUCTIONS
30 GOTO 50 'NO INSTRUCTIONS NEEDED
40 GOSUB 280   'SUBROUTINE PRINT INSTRUCTIONS ON SCREEN
50 GOSUB 550  'SUBROUTINE SET UP FLASHCARDS
60 GOSUB 2250 'SUBROUTINE  FLASHCARD
70 END
80 'subroutine initialize
90 CLS
100 SCREEN 1
105 RESETSCORE=0
110 LINE (50,90)-(240,110),2,B
120 LOCATE 13,10
130 PRINT "FLASH CARD PROGRAM"
135 LOCATE 15,1:PRINT"by Dan Baker"
140 LOCATE 20,1
150 PRINT"  PRESS SPACE BAR TO START PROGRAM
160 PRINT "   PRESS LETTER I FOR INSTRUCTIONS"
170 PRINT "    PRESS S TO EXIT PROGRAM"
180 LET X$ = INKEY$
190 IF X$ = " " THEN 250
200 IF X$ = "I" THEN 280
210 IF X$ = "i" THEN 280
220 IF X$ = "S" THEN 260
230 IF X$ = "s" THEN 260
240 GOTO 180
250 RETURN
260 CLS
270 END
280 'SUBROUTINE INSTRUCTIONS
290 CLS
300 SCREEN 2
310 PRINT
320 PRINT "THIS PROGRAM WILL PRESENT ADDITION, SUBTRACTION, MULTIPLICATION,
330 PRINT "AND/OR DIVISION PROBLEMS ON THE SCREEN, SIMILAR TO 'FLASH CARDS'."
340 PRINT
350 PRINT "YOU MAY SELECT THE FOLLOWING CONDITIONS PRIOR TO STARTING:"
360 PRINT
370 PRINT ,"THE NUMBER OF ADDENDS FOR ADDITION"
380 PRINT ,"THE LARGEST NUMBER TO BE ADDED, DIVIDED, SUBTRACTED FROM,"
390 PRINT ,"OR PRODUCT OF MULTIPLICATION"
400 PRINT "PRESS THE LETTER R AT ANY TIME TO CHANGE THE CONDITIONS"
410 PRINT
420 PRINT
430 PRINT "NO NEGATIVE NUMBERS WILL BE USED"
440 PRINT
450 PRINT "THE COMPUTER WILL AUTOMATICALLY CHECK THE RESULT, ALLOW "
460 PRINT "ONE MORE TRY IF INCORRECT, AND 'FLASH' THE NEXT CARD"
470 PRINT
475 PRINT "You may want to change statements 2660,2670 to adjust the"
476 PRINT "selection of random numbers -- current selection is limited"
477 PRINT
480 PRINT "PRESS THE LETTER S AT ANY TIME TO EXIT THE PROGRAM"
490 PRINT
500 PRINT ,"PRESS SPACE BAR TO START PROGRAM"
510 LET X$ = INKEY$
520 IF X$ = " " THEN 540
530 GOTO  510
540 RETURN
550 'SUBROUTINE SELECTION OF FLASH CARDS
560 CLS
570 SCREEN 1
580 LET XCOLOR = 2
590 PRINT" PRESS S AT ANY TIME TO EXIT PROGRAM"
600 LOCATE 4,1
610 PRINT "SELECT FLASH CARDS: PRESS Y OR N FOR"
620 PRINT "EACH BOX WHEN BLINKING"
630 LOCATE 8,4
640 PRINT "ADD  SUBTRACT  MULTIPLY  DIVIDE"
650 LET ADD$="N"
660 LET SUB$="N"
670 LET MUL$="N"
680 LET DIV$="N"
690 GOSUB 810 'DRAW ADD BOX
700 GOSUB 840 'DRAW SUB BOX
710 GOSUB 870 'DRAW MUL BOX
720 GOSUB 900 'DRAW DIV BOX
730 GOSUB 930 'BLINK ADD BOX; ACCEPT INPUT
740 GOSUB 1270 'BLINK SUB BOX; ACCEPT INPUT
750 GOSUB 1560 'BLINK MUL BOX; ACCEPT INPUT
760 GOSUB 1850 'BLINK DIV BOX; ACCEPT INPUT
770 LET TOTAL$ = ADD$+SUB$+MUL$+DIV$
780 IF TOTAL$="NNNN" THEN 550 'NO BOX SELECTED, START OVER
790 GOSUB 2140 'CHECK FINAL INPUT; MAKE CONTINUE/STOP DECISION
800 GOTO 2220 'RETURN TO MAIN PROGRAM WITH ADD$,SUB$,MUL$,DIV$ VALUES
810 'SUBROUTINE DRAW ADD BOX
820 LINE (20,50)-(50,70),XCOLOR,B
830 RETURN
840 'SUBROUTINE DRAW SUBTRACT BOX
850 LINE (60,50)-(130,70),XCOLOR,B
860 RETURN
870 'SUBROUTINE DRAW MULTIPLY BOX
880 LINE (140,50)-(210,70),XCOLOR,B
890 RETURN
900 'SUBROUTINE DRAW DIVIDE BOX
910 LINE (220,50)-(275,70),XCOLOR,B
920 RETURN
930 'SUBROUTINE BLINK ADD BOX; ACCEPT AND CHECK INPUT
940 LET XCOLOR = 0
950 GOSUB 810 'DRAW BOX DIFFERENT COLOR
960 GOSUB 1230 'subroutine blink time delay
970 LET X$=INKEY$
980 IF X$="S" THEN 2230 'STOP PROGRAM
990 IF X$="s" THEN 2230 'STOP PROGRAM
1000 IF X$="Y" THEN 1150 'SELECT ADD FLASH CARD
1010 IF X$="y" THEN 1150 'SELECT ADD FLASH CARD
1020 IF X$="N" THEN 1190 'ADD FLASH CARD NOT SELECTED
1030 IF X$="n" THEN 1190 'ADD FLASH CARD NOT SELECTED
1040 LET XCOLOR = 1 'NO INPUT YET; BLINK BOX
1050 GOSUB 810
1060 GOSUB 1230 'subroutine blink time delay
1070 LET X$=INKEY$
1080 IF X$="S" THEN 2230 'STOP PROGRAM
1090 IF X$="s" THEN 2230 'STOP PROGRAM
1100 IF X$="Y" THEN 1150 'SELECT ADD FLASH CARD
1110 IF X$="y" THEN 1150 'SELECT ADD FLASH CARD
1120 IF X$="N" THEN 1190 'ADD FLASH CARD NOT SELECTED
1130 IF X$="n" THEN 1190 'ADD FLASH CARD NOT SELECTED
1140 GOTO 940 'NO INPUT YET; BLINK BOX AGAIN
1150 LET ADD$="Y" 'SELECT FLASH CARD
1160 LET XCOLOR = 1
1170 GOSUB 810 'CHANGE COLOR AROUND ADD BOX
1180 GOTO 1210 'RETURN
1190 LET XCOLOR = 2
1200 GOSUB 810  'KEEP ORIGINAL COLOR OF ADD BOX
1210 RETURN
1220 END
1230 'SUBROUTINE BLINK TIME DELAY
1240 FOR I=1 TO 200
1250 NEXT I
1260 RETURN
1270 'SUBROUTINE BLINK SUB BOX; ACCEPT AND CHECK INPUT
1280 LET XCOLOR = 0
1290 GOSUB 840 'DRAW BOX DIFFERENT COLOR
1300 GOSUB 1230 'subroutine blink time delay
1310 LET X$=INKEY$
1320 IF X$="S" THEN 2230 'STOP PROGRAM
1330 IF X$="s" THEN 2230 'STOP PROGRAM
1340 IF X$="Y" THEN 1490 'SELECT SUB FLASH CARD
1350 IF X$="y" THEN 1490 'SELECT SUB FLASH CARD
1360 IF X$="N" THEN 1530 'SUB FLASH CARD NOT SELECTED
1370 IF X$="n" THEN 1530 'SUB FLASH CARD NOT SELECTED
1380 LET XCOLOR = 1 'NO INPUT YET; BLINK BOX
1390 GOSUB 840
1400 GOSUB 1230 'subroutine blink time delay
1410 LET X$=INKEY$
1420 IF X$="S" THEN 2230 'STOP PROGRAM
1430 IF X$="s" THEN 2230 'STOP PROGRAM
1440 IF X$="Y" THEN 1490 'SELECT SUB FLASH CARD
1450 IF X$="y" THEN 1490 'SELECT SUB FLASH CARD
1460 IF X$="N" THEN 1530 'SUB FLASH CARD NOT SELECTED
1470 IF X$="n" THEN 1530 'SUB FLASH CARD NOT SELECTED
1480 GOTO 1280 'NO INPUT YET; BLINK BOX AGAIN
1490 LET SUB$="Y" 'SELECT FLASH CARD
1500 LET XCOLOR = 1
1510 GOSUB 840 'CHANGE COLOR AROUND SUB BOX
1520 GOTO 1550 'RETURN
1530 LET XCOLOR = 2
1540 GOSUB 840  'KEEP ORIGINAL COLOR OF SUB BOX
1550 RETURN
1560 'SUBROUTINE BLINK MUL BOX; ACCEPT AND CHECK INPUT
1570 LET XCOLOR = 0
1580 GOSUB 870 'DRAW BOX DIFFERENT COLOR
1590 GOSUB 1230 'subroutine blink time delay
1600 LET X$=INKEY$
1610 IF X$="S" THEN 2230 'STOP PROGRAM
1620 IF X$="s" THEN 2230 'STOP PROGRAM
1630 IF X$="Y" THEN 1780 'SELECT MUL FLASH CARD
1640 IF X$="y" THEN 1780 'SELECT MUL FLASH CARD
1650 IF X$="N" THEN 1820 'MUL FLASH CARD NOT SELECTED
1660 IF X$="n" THEN 1820 'MUL FLASH CARD NOT SELECTED
1670 LET XCOLOR = 1 'NO INPUT YET; BLINK BOX
1680 GOSUB 870
1690 GOSUB 1230 'subroutine blink time delay
1700 LET X$=INKEY$
1710 IF X$="S" THEN 2230 'STOP PROGRAM
1720 IF X$="s" THEN 2230 'STOP PROGRAM
1730 IF X$="Y" THEN 1780 'SELECT MUL FLASH CARD
1740 IF X$="y" THEN 1780 'SELECT MUL FLASH CARD
1750 IF X$="N" THEN 1820 'MUL FLASH CARD NOT SELECTED
1760 IF X$="n" THEN 1820 'MUL FLASH CARD NOT SELECTED
1770 GOTO 1570 'NO INPUT YET; BLINK BOX AGAIN
1780 LET MUL$="Y" 'SELECT FLASH CARD
1790 LET XCOLOR = 1
1800 GOSUB 870 'CHANGE COLOR AROUND MUL BOX
1810 GOTO 1840 'RETURN
1820 LET XCOLOR = 2
1830 GOSUB 870  'KEEP ORIGINAL COLOR OF MUL BOX
1840 RETURN
1850 'SUBROUTINE BLINK DIV BOX; ACCEPT AND CHECK INPUT
1860 LET XCOLOR = 0
1870 GOSUB 900 'DRAW BOX DIFFERENT COLOR
1880 GOSUB 1230 'subroutine blink time delay
1890 LET X$=INKEY$
1900 IF X$="S" THEN 2230 'STOP PROGRAM
1910 IF X$="s" THEN 2230 'STOP PROGRAM
1920 IF X$="Y" THEN 2070 'SELECT DIV FLASH CARD
1930 IF X$="y" THEN 2070 'SELECT DIV FLASH CARD
1940 IF X$="N" THEN 2110 'DIV FLASH CARD NOT SELECTED
1950 IF X$="n" THEN 2110 'DIV FLASH CARD NOT SELECTED
1960 LET XCOLOR = 1 'NO INPUT YET; BLINK BOX
1970 GOSUB 900
1980 GOSUB 1230 'subroutine blink time delay
1990 LET X$=INKEY$
2000 IF X$="S" THEN 2230 'STOP PROGRAM
2010 IF X$="s" THEN 2230 'STOP PROGRAM
2020 IF X$="Y" THEN 2070 'SELECT DIV FLASH CARD
2030 IF X$="y" THEN 2070 'SELECT DIV FLASH CARD
2040 IF X$="N" THEN 2110 'DIV FLASH CARD NOT SELECTED
2050 IF X$="n" THEN 2110 'DIV FLASH CARD NOT SELECTED
2060 GOTO 1860 'NO INPUT YET; BLINK BOX AGAIN
2070 LET DIV$="Y" 'SELECT FLASH CARD
2080 LET XCOLOR = 1
2090 GOSUB 900 'CHANGE COLOR AROUND DIV BOX
2100 GOTO 2130 'RETURN
2110 LET XCOLOR = 2
2120 GOSUB 900  'KEEP ORIGINAL COLOR OF DIV BOX
2130 RETURN
2140 ' SUBROUTINE CHECK FINAL INPUT
2150 LET X$=INKEY$
2160 IF X$ = "S" THEN 2230
2170 IF X$ = "s" THEN 2230
2180 LOCATE 11,1
2190 PRINT "ENTER LARGEST ADDEND, ETC."
2200 PRINT "TYPE IN NUMBER, THEN PRESS ENTER";
2210 INPUT MAXNUM
2220 RETURN
2230 CLS
2240 END
2250 'SUBROUTINE FLASHCARD
2260 CLS
2270 SCREEN 0
2280 LOCATE 21,1
2290 COLOR 13
2300 PRINT "PRESS LETTER R TO RE-SELECT OPTIONS"
2310 PRINT
2320 PRINT "PRESS LETTER S TO EXIT PROGRAM"
2330 LOCATE 17,1
2340 COLOR 2
2350 PRINT "*** PRESS SPACEBAR TO CONTINUE ***"
2360 COLOR 7
2370 LET X$ = INKEY$   'GET OPERATOR INPUT
2380 IF X$ = "S" THEN 2620 'EXIT PROGRAM
2390 IF X$ = "s" THEN 2620 'EXIT PROGRAM
2400 IF X$ = "R" THEN 2440  'RE-SELECT FLASHCARD OPTIONS
2410 IF X$ = "r" THEN 2440  'RE-SELECT FLASHCARD OPTIONS
2420 IF X$ = " " THEN 2460  'CONTINUE
2430 GOTO 2370
2440 RESETSCORE=0:GOSUB 550  'FLASHCARD OPTIONS
2450 GOTO 2260   ' ... AND THEN RE-START THIS SUBROUTINE
2460 IF RESETSCORE=0 THEN GOSUB 4200    'PRINT TOTAL SCORE OUTLINE
2461 LOCATE 17,1
2470 PRINT "                                  "
2480 LOCATE 14,1
2490 PRINT "                              "
2500 LOCATE 21,1
2510 PRINT "                                      "
2520 PRINT
2530 PRINT "                                      "
2540 LOCATE 14,1
2550 GOSUB 2640 'SELECT ADD, SUB, MUL, OR DIV FLASHCARD
2560 GOSUB 3080 'PRINT FLASHCARD ON SCREEN
2570 LET CHECKF$ = " " 'NULL VALUE OF COUNTER
2580 GOSUB 3470 'GET AND CHECK OPERATOR INPUT
2590 IF CHECKF$ = "RETRY" THEN 2580
2600 GOTO 2280  'CONTINUE
2610 RETURN
2620 CLS
2630 END
2640 'SUBROUTINE SELECT TYPE OF FLASHCARD
2650 '*** GET TWO RANDOM NUMBERS ***
2660 LET N1 = MAXNUM * RND
2670 LET N2 = MAXNUM * RND
2680 IF N1 > N2 THEN 2720
2690 LET NMAX =INT( N2)
2700 LET NMIN = INT(N1)
2710 GOTO 2740
2720 LET NMAX = INT(N1)
2730 LET NMIN = INT(N2)
2740  'DETERMINE: ADD,SUB,MUL, OR DIV
2750 LET LENGTH = LEN(STR$(NMAX))
2760 LET NP = 1+INT(RND*4)
2770 ON NP GOTO 2780,2870,2910,2990
2780 IF ADD$ = "N" THEN 2740 'SEE IF "ADD" HAS BEEN SELECTED AS FLASHCARD
2790 IF N2<N1 THEN 2830
2800 LET NN=NMAX
2810 LET NMAX = NMIN
2820 LET NMIN = NN
2830 ANSWER = NMAX + NMIN 'ADD WAS SELECTED; COMPUTE SUM...
2840 IF ANSWER > MAXNUM THEN 2660  ELSE GOTO 2850  'LIMIT SUM,= MAXNUM
2850 OPAND$ = "+"  ' AND SELECT OPERAND
2860 GOTO 3070  'AND RETURN
2870 IF SUB$ = "N" THEN 2740 'SEE IF "SUB" HAS BEEN SELECTED AS FLASHCARD
2880 ANSWER = NMAX - NMIN  'SUB WAS SELECTED; COMPUTE DIFFERENCE...
2890 OPAND$ = "-"  ' AND SELECT OPERAND
2900 GOTO 3070  'AND RETURN
2910 IF MUL$ = "N" THEN 2740 "SEE IF "MUL" HAS BEEN SELECTED AS FLASHCARD
2920 IF N2<N1 THEN 2960
2930 LET NN=NMAX
2940 LET NMAX = NMIN
2950 LET NMIN = NN
2960 ANSWER = NMAX * NMIN  'MUL WAS SELECTED; COMPUTE PRODUCT...
2970 OPAND$ = "X"  ' AND SELECT OPERAND
2980 GOTO 3070  'AND RETURN
2990 IF DIV$ = "N" THEN 2740 'SEE IF "DIV" HAS BEEN SELECTED AS FLASHCARD
3000 IF NMIN > 0 THEN 3020  'DIV WAS SELECTED; CHECK FOR DIVIDE BY 0
3010 NMIN= 1  ' IF DIVIDE BY ZERO, RESET TO DIVIDE BY 1
3020 NMAX = NMIN*INT((NMAX+NMIN/2)/NMIN) 'RECOMPUTE NMAX
3030 LET LENGTH = LEN(STR$(NMAX))
3040 ANSWER = NMAX/NMIN  'COMPUTE ANSWER
3050 OPAND$ = STRING$(1,246) 'AND SELECT OPERAND
3060 GOTO 3070  'AND RETURN
3070 RETURN
3080 'SUBROUTINE PRINT FLASHCARD ON SCREEN
3090 LOCATE 8,21
3100 LET VALUEX=NMAX
3110 GOSUB 3220 'PRINT NMAX
3120 LOCATE 9,20
3130 PRINT OPAND$;"         "
3140 LOCATE 9,21
3150 LET VALUEX=NMIN
3160 GOSUB 3220 'PRINT NMIN
3170 LOCATE 10,21
3180 PRINT"_______"
3190 LOCATE 11,20
3200 PRINT "          "
3210 RETURN
3220 'SUBROUTINE RIGHT JUSTIFY NMIN ON SCREEN
3230 ON LENGTH GOTO 3240,3260,3280,3300,3320,3340,3360,3380,3400,3420,3440
3240 PRINT USING"#";VALUEX
3250 RETURN
3260 PRINT USING"##         ";VALUEX
3270 RETURN
3280 PRINT USING"###        ";VALUEX
3290 RETURN
3300 PRINT USING"####       ";VALUEX
3310 RETURN
3320 PRINT USING"#####      ";VALUEX
3330 RETURN
3340 PRINT USING"######     ";VALUEX
3350 RETURN
3360 PRINT USING"#######    ";VALUEX
3370 RETURN
3380 PRINT USING"########   ";VALUEX
3390 RETURN
3400 PRINT USING"#########  ";VALUEX
3410 RETURN
3420 PRINT USING"########## ";VALUEX
3430 RETURN
3440 PRINT USING"###########";VALUEX
3450 RETURN
3460 PRINT USING"############";VALUEX
3470 'SUBROUTINE GET AND CHECK OPERATOR INPUT
3480 LOCATE 11,1
3490 PRINT "WHAT IS THE ANSWER ?"
3500 PRINT "(TYPE NUMBER,      "
3510 PRINT  "PRESS RETURN)    "
3520 LOCATE 11,22
3530 LINE INPUT;X$
3540 '***CHECK LEGALITY OF INOPERATOR INPUT
3550 VALUE = VAL(X$)
3560 IF LEN(X$)=0 THEN 3600 'NO RESPONSE IS INCORRECT ANSWER
3570 IF ASC(X$)<47 THEN 3600 'NON-NUMERIC INPUT
3580 IF ASC(X$)>57 THEN 3600 'NON-NUMERIC INPUT
3590 IF VALUE = ANSWER THEN 3760 'OPERATORS ANSWER IS CORRECT
3600 IF CHECKF$ = "RETRY" THEN 3690 '2ND WRONG ANSWER
3610 LET CHECKF$= "RETRY" '1ST WRONG ANSWER; LET HIM TRY AGAIN
3620 LOCATE 14,1
3630 COLOR 4
3640 BEEP:PRINT "WRONG---TRY AGAIN!"
3645 GOSUB 4000     'UPDATE THE SCORE
3650 COLOR 7
3660 LOCATE 11,20
3670 PRINT"         "
3680 GOTO  3795 'RETURN
3690 LET CHECKF$ = " " ' NO MORE TRIES
3700 LOCATE 14,1
3710 BEEP:PRINT "NO--THE ANSWER IS";
3720 COLOR 14
3730 PRINT ANSWER
3740 COLOR 7
3750 GOTO 3790 'RETURN
3760 LOCATE 14,1
3765 COLOR 13
3770 PRINT "THAT'S CORRECT!!!     "
3780 LET CHECKF$ = " "
3790 GOSUB 4100   'PRINT SCORE
3795 RETURN
4000 'SUBROUTINE KEEP SCORE -- WRONG ANSWER
4010 IF OPAND$= "+" THEN ADDWRONG = ADDWRONG+1:GOTO 4050
4020 IF OPAND$= "-" THEN SUBWRONG = SUBWRONG+1:GOTO 4050
4030 IF OPAND$= "X" THEN MULWRONG = MULWRONG+1:GOTO 4050
4040 IF OPAND$= STRING$(1,246)  THEN DIVWRONG = DIVWRONG+1:GOTO 4050
4050 ALLWRONG=ALLWRONG+1:RETURN
4100 ' SUBROUTINE TO PRINT SCORE
4110 IF OPAND$ = "+" THEN 4150
4120 IF OPAND$ = "-" THEN 4170
4130 IF OPAND$ = "X" THEN 4190
4132 DIVTOTAL = DIVTOTAL + 1     'DIVIDE
4134 COLOR 2:LOCATE 3,30:PRINT USING "####";DIVTOTAL
4136 COLOR 12:LOCATE 4,30:PRINT USING "####";DIVWRONG
4138 COLOR 3:LOCATE 6,30:PERCENT=INT(((DIVTOTAL-DIVWRONG)/DIVTOTAL)*100):PRINT USING"####";PERCENT
4140 GOTO 4181
4150 ADDTOTAL = ADDTOTAL + 1     'ADD
4154 COLOR 2:LOCATE 3,15:PRINT USING "####";ADDTOTAL
4156 COLOR 12:LOCATE 4,15:PRINT USING "####";ADDWRONG
4158 COLOR 3:LOCATE 6,15:PERCENT=INT(((ADDTOTAL-ADDWRONG)/ADDTOTAL)*100):PRINT USING"####";PERCENT
4160 GOTO 4181
4170 SUBTOTAL = SUBTOTAL + 1     'SUBTRACT
4174 COLOR 2:LOCATE 3,20:PRINT USING "####";SUBTOTAL
4176 COLOR 12:LOCATE 4,20:PRINT USING "####";SUBWRONG
4178 COLOR 3:LOCATE 6,20:PERCENT=INT(((SUBTOTAL-SUBWRONG)/SUBTOTAL)*100):PRINT USING"####";PERCENT
4180 GOTO 4181
4181 TOTALSCORE = TOTALSCORE + 1  'TOTAL
4183 COLOR 2:LOCATE 3,35:PRINT USING"####";TOTALSCORE
4185 COLOR 12:LOCATE 4,35:PRINT USING"####";ALLWRONG  
4187 COLOR 3:LOCATE 6,35:PERCENT=INT(((TOTALSCORE-ALLWRONG)/TOTALSCORE)*100):PRINT USING"####";PERCENT
4189 GOTO 4199
4190 MULTOTAL = MULTOTAL + 1     'MULTIPLY
4194 COLOR 2:LOCATE 3,25:PRINT USING "####";MULTOTAL
4196 COLOR 12:LOCATE 4,25:PRINT USING "####";MULWRONG
4197 COLOR 3:LOCATE 6,25:PERCENT=INT(((MULTOTAL-MULWRONG)/MULTOTAL)*100):PRINT USING"####";PERCENT
4198 GOTO 4181
4199 COLOR 7:RETURN
4200 ' SUBROUTINE TO PRINT OUTLINE FOR TOTAL SCORE
4210 COLOR 2:LOCATE 1,18:PRINT "SCORE"
4220 COLOR 14:LOCATE 2,16:PRINT "ADD  SUB  MUL  DIV";:COLOR 13:PRINT" TOTAL"
4230 COLOR 2:LOCATE 3,1:PRINT "TOTAL PROBLEMS"
4240 COLOR 12:LOCATE 4,1:PRINT "NUMBER WRONG"
4250 COLOR 3:LOCATE 6,1:PRINT "SCORE(PERCENT)"
4252 IF ADDTOTAL>0 THEN ADDTOTAL=0:ADDWRONG=0
4254 IF SUBTOTAL>0 THEN SUBTOTAL=0:SUBWRONG=0
4256 IF MULTOTAL>0 THEN MULTOTAL=0:MULWRONG=0
4258 IF DIVTOTAL>0 THEN DIVTOTAL=0:DIVWRONG=0
4259 IF TOTALSCORE>0 THEN TOTALSCORE=0:ALLWRONG=0
4260 COLOR 7:RESETSCORE=1:RETURN
